Bug 1342156 - systemd service for object-reconstructor is missing
Summary: systemd service for object-reconstructor is missing
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-swift
Version: 10.0 (Newton)
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
: 10.0 (Newton)
Assignee: Pete Zaitcev
QA Contact: nlevinki
URL:
Whiteboard:
Depends On: 1337340 1377511
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-02 14:41 UTC by Christian Schwede (cschwede)
Modified: 2017-03-31 22:40 UTC (History)
5 users (show)

Fixed In Version: openstack-swift-2.10.0-6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 15:42:42 UTC


Attachments (Terms of Use)

Description Christian Schwede (cschwede) 2016-06-02 14:41:58 UTC
Description of problem:

There is a new service called swift-object-reconstructor which is required to use Erasure coding, but the corresponding systemd service files are missing.

Version-Release number of selected component (if applicable):

7 and later

How reproducible:

Always

Steps to Reproduce:
1. Install openstack-swift-object
2. Check systemd services

Actual results:

Missing /usr/lib/systemd/system/openstack-swift-object-reconstructor.service and corresponding entry in /etc/swift/object-server.conf

Expected results:

Systemd service should exist and the required basic entry in /etc/swift/object-server.conf should exist to be able to start the service.

Additional info:
Has been fixed on RDO: https://review.rdoproject.org/r/#/c/1245/


Note You need to log in before you can comment on or make changes to this bug.